Package org.eclipse.ui.actions

## Class NewWizardDropDownAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.NewWizardDropDownAction

All Implemented Interfaces:
  `IAction`, `ActionFactory.IWorkbenchAction`

    public class NewWizardDropDownAction
    extends Action
    implements ActionFactory.IWorkbenchAction

Action which, when run, will open the new wizard dialog. In addition, it has a drop-down showing the new wizard shortcuts associated with the current perspective.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.1

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`NewWizardDropDownAction​(IWorkbenchWindow window)` Create a new `NewWizardDropDownAction`, with the default action for opening the new wizard dialog, and the default contribution item for populating the drop-down menu.
`NewWizardDropDownAction​(IWorkbenchWindow window, ActionFactory.IWorkbenchAction showDlgAction, IContributionItem newWizardMenu)` Create a new `NewWizardDropDownAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes of this action.
`void` `run()` Runs the action, which opens the New wizard dialog.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Constructor Detail

#### NewWizardDropDownAction

    public NewWizardDropDownAction​(IWorkbenchWindow window)

Create a new `NewWizardDropDownAction`, with the default action for opening the new wizard dialog, and the default contribution item for populating the drop-down menu.

Parameters:
  `window` - the window in which this action appears

#### NewWizardDropDownAction

    public NewWizardDropDownAction​(IWorkbenchWindow window,
                                   ActionFactory.IWorkbenchAction showDlgAction,
                                   IContributionItem newWizardMenu)

Create a new `NewWizardDropDownAction`.

Parameters:
  `window` - the window in which this action appears
  `showDlgAction` - the action to delegate to when this action is run directly, rather than being dropped down
  `newWizardMenu` - the contribution item that adds the contents to the drop-down menu

### Method Detail

#### dispose

    public void dispose()

Description copied from interface: `ActionFactory.IWorkbenchAction`
Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

Specified by:
  `dispose` in interface `ActionFactory.IWorkbenchAction`

#### run

    public void run()

Runs the action, which opens the New wizard dialog.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`